use super::song::{Plan, Song};

pub struct PlaylistEntry {
    pub song: Song,
    pub map: Plan,
}

pub struct PlaylistVerseRef {
    pub song_index: usize,
    pub song_map: String,
    pub map_verse_index: usize,
}

pub struct Display {
    pub playlist: Vec<(Song, Option<String>)>,
    pub current: PlaylistVerseRef,
    pub frozen_at: Option<PlaylistVerseRef>,
    pub blanked: bool,
}
